Support Cases
Lista de casos de soporte
Casos de soporte visibles para el llamante, ordenados por última actualización, primero los más recientes. Requiere read:support.
GET
/
api
/
v1
/
support
/
cases
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Support.Cases.ListAsync(
limit: 20,
offset: 0
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.support.cases.list(limit=20, offset=0)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.support.cases.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Support.Cases.List(ctx, nil, mka1.Pointer[int64](20), mka1.Pointer[int64](0), nil)
if err != nil {
log.Fatal(err)
}
if res.SupportCaseList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/support/cases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/support/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/support/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/support/cases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/support/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"number": 123,
"team_id": "<string>",
"created_by": "<string>",
"subject": "<string>",
"description": "<string>",
"severity": "low",
"component": "api-gateway",
"status": "open",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"itsm": {
"provider": "<string>",
"reference": "<string>"
},
"updates": [
{
"id": "<string>",
"author": {
"kind": "customer",
"id": "<string>",
"name": "<string>"
},
"body": "<string>",
"status": "open",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Autorizaciones
Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de consulta
Comma-separated statuses to include: open, waiting_on_customer, resolved.
Maximum number of items to return.
Rango requerido:
1 <= x <= 100Number of items to skip.
Rango requerido:
x >= 0¿Esta página le ayudó?
⌘I
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Support.Cases.ListAsync(
limit: 20,
offset: 0
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.support.cases.list(limit=20, offset=0)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.support.cases.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Support.Cases.List(ctx, nil, mka1.Pointer[int64](20), mka1.Pointer[int64](0), nil)
if err != nil {
log.Fatal(err)
}
if res.SupportCaseList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/support/cases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/support/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/support/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/support/cases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/support/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"number": 123,
"team_id": "<string>",
"created_by": "<string>",
"subject": "<string>",
"description": "<string>",
"severity": "low",
"component": "api-gateway",
"status": "open",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"itsm": {
"provider": "<string>",
"reference": "<string>"
},
"updates": [
{
"id": "<string>",
"author": {
"kind": "customer",
"id": "<string>",
"name": "<string>"
},
"body": "<string>",
"status": "open",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}